For the complete documentation index, see llms.txt. This page is also available as Markdown.

AppPackageAssigned

Get

get

Retrieve the setting of the assigned application package.

Path parameters
idinteger · int32Required

Retrieve the assigned application package by ID.

Responses
200

Success

application/json; api-version=1.0

Application Package Assigned

versionstring · nullableOptional

Application version

tagNamestring · nullableOptional

Application version tag name

tagIdinteger · int32 · nullableOptional

Application version tag ID

packageNamestring · nullableOptional

Assigned application package name

get/api/RDS/HostPool/{id}/AppPackageAssigned

Add

post

Add an assigned application package.

Path parameters
idinteger · int32Required

The ID for which to add the assigned application package.

Body
packageNamestring · min: 1 · max: 255 · nullableRequired

The application package name. This must be the actual application package name used in the RAS farm.

versionstring · min: 1 · max: 255 · nullableRequired

The version of the application package. This must be the actual application package version used in the RAS farm.

Responses
201

Created

No content

post/api/RDS/HostPool/{id}/AppPackageAssigned

No content

Update

put

Update the assigned application package settings with the specified ID.

Path parameters
idinteger · int32Required

The ID for which to modify the assigned application package setting.

Body
packageNamestring · min: 1 · max: 255 · nullableRequired

The name of the application package for which to change the version. This must be the actual application package name used in the RAS farm.

versionstring · min: 1 · max: 255 · nullableRequired

The new version of the application package. This must be the actual application package version used in the RAS farm.

Responses
204

No Content

No content

put/api/RDS/HostPool/{id}/AppPackageAssigned

No content

Delete

delete

Remove the assigned application package.

Path parameters
idinteger · int32Required

ID for which to remove the assigned application package.

Body
packageNamestring · min: 1 · max: 255 · nullableRequired

The name of the application package for which to remove the assigned packaged application. This must be the actual application package name used in the RAS farm.

Responses
204

No Content

No content

delete/api/RDS/HostPool/{id}/AppPackageAssigned

No content